package edu.tum.xmts.utils.gen;

// $ANTLR 3.4 xmts.g 2013-06-15 18:36:11

import org.antlr.runtime.BaseRecognizer;
import org.antlr.runtime.CharStream;
import org.antlr.runtime.DFA;
import org.antlr.runtime.EarlyExitException;
import org.antlr.runtime.Lexer;
import org.antlr.runtime.MismatchedSetException;
import org.antlr.runtime.NoViableAltException;
import org.antlr.runtime.RecognitionException;
import org.antlr.runtime.RecognizerSharedState;

@SuppressWarnings({ "all", "warnings", "unchecked" })
public class xmtsLexer extends Lexer {
	public static final int EOF = -1;
	public static final int ACTION = 4;
	public static final int ALL = 5;
	public static final int AND = 6;
	public static final int ATOM = 7;
	public static final int ATOM_A = 8;
	public static final int ATOM_C = 9;
	public static final int ATOM_P = 10;
	public static final int ATOM_T = 11;
	public static final int BMTS = 12;
	public static final int CB = 13;
	public static final int COMMA = 14;
	public static final int COST = 15;
	public static final int CP = 16;
	public static final int DMTS = 17;
	public static final int DOT = 18;
	public static final int DURATION = 19;
	public static final int EQV = 20;
	public static final int FALSE = 21;
	public static final int FORMULA = 22;
	public static final int ID = 23;
	public static final int IMP = 24;
	public static final int INITIAL = 25;
	public static final int INT_CON = 26;
	public static final int INT_UNCON = 27;
	public static final int INVESTMENT = 28;
	public static final int LABEL = 29;
	public static final int LOWER = 30;
	public static final int MTS = 31;
	public static final int MTSD = 32;
	public static final int MTSD_DPS = 33;
	public static final int NOT = 34;
	public static final int NUMBER = 35;
	public static final int OB = 36;
	public static final int OBLIGATION = 37;
	public static final int OP = 38;
	public static final int OR = 39;
	public static final int PARAMETER = 40;
	public static final int PMTS = 41;
	public static final int POSITION = 42;
	public static final int REQUIREMENT = 43;
	public static final int SIGNED_NUM = 44;
	public static final int STATE = 45;
	public static final int STRING = 46;
	public static final int TARGET = 47;
	public static final int TRANSITION = 48;
	public static final int TRUE = 49;
	public static final int UNIT = 50;
	public static final int UPPER = 51;
	public static final int WS = 52;
	public static final int X = 53;
	public static final int XMTS_LIST = 54;
	public static final int Y = 55;

	// delegates
	// delegators
	public Lexer[] getDelegates() {
		return new Lexer[] {};
	}

	public xmtsLexer() {
	}

	public xmtsLexer(CharStream input) {
		this(input, new RecognizerSharedState());
	}

	public xmtsLexer(CharStream input, RecognizerSharedState state) {
		super(input, state);
	}

	public String getGrammarFileName() {
		return "xmts.g";
	}

	// $ANTLR start "ACTION"
	public final void mACTION() throws RecognitionException {
		try {
			int _type = ACTION;
			int _channel = DEFAULT_TOKEN_CHANNEL;
			// xmts.g:2:8: ( 'action' )
			// xmts.g:2:10: 'action'
			{
				match("action");

			}

			state.type = _type;
			state.channel = _channel;
		} finally {
			// do for sure before leaving
		}
	}

	// $ANTLR end "ACTION"

	// $ANTLR start "ALL"
	public final void mALL() throws RecognitionException {
		try {
			int _type = ALL;
			int _channel = DEFAULT_TOKEN_CHANNEL;
			// xmts.g:3:5: ( 'all' )
			// xmts.g:3:7: 'all'
			{
				match("all");

			}

			state.type = _type;
			state.channel = _channel;
		} finally {
			// do for sure before leaving
		}
	}

	// $ANTLR end "ALL"

	// $ANTLR start "AND"
	public final void mAND() throws RecognitionException {
		try {
			int _type = AND;
			int _channel = DEFAULT_TOKEN_CHANNEL;
			// xmts.g:4:5: ( '&' )
			// xmts.g:4:7: '&'
			{
				match('&');

			}

			state.type = _type;
			state.channel = _channel;
		} finally {
			// do for sure before leaving
		}
	}

	// $ANTLR end "AND"

	// $ANTLR start "BMTS"
	public final void mBMTS() throws RecognitionException {
		try {
			int _type = BMTS;
			int _channel = DEFAULT_TOKEN_CHANNEL;
			// xmts.g:5:6: ( 'bmts' )
			// xmts.g:5:8: 'bmts'
			{
				match("bmts");

			}

			state.type = _type;
			state.channel = _channel;
		} finally {
			// do for sure before leaving
		}
	}

	// $ANTLR end "BMTS"

	// $ANTLR start "CB"
	public final void mCB() throws RecognitionException {
		try {
			int _type = CB;
			int _channel = DEFAULT_TOKEN_CHANNEL;
			// xmts.g:6:4: ( ']' )
			// xmts.g:6:6: ']'
			{
				match(']');

			}

			state.type = _type;
			state.channel = _channel;
		} finally {
			// do for sure before leaving
		}
	}

	// $ANTLR end "CB"

	// $ANTLR start "COMMA"
	public final void mCOMMA() throws RecognitionException {
		try {
			int _type = COMMA;
			int _channel = DEFAULT_TOKEN_CHANNEL;
			// xmts.g:7:7: ( ',' )
			// xmts.g:7:9: ','
			{
				match(',');

			}

			state.type = _type;
			state.channel = _channel;
		} finally {
			// do for sure before leaving
		}
	}

	// $ANTLR end "COMMA"

	// $ANTLR start "COST"
	public final void mCOST() throws RecognitionException {
		try {
			int _type = COST;
			int _channel = DEFAULT_TOKEN_CHANNEL;
			// xmts.g:8:6: ( 'running_cost' )
			// xmts.g:8:8: 'running_cost'
			{
				match("running_cost");

			}

			state.type = _type;
			state.channel = _channel;
		} finally {
			// do for sure before leaving
		}
	}

	// $ANTLR end "COST"

	// $ANTLR start "CP"
	public final void mCP() throws RecognitionException {
		try {
			int _type = CP;
			int _channel = DEFAULT_TOKEN_CHANNEL;
			// xmts.g:9:4: ( ')' )
			// xmts.g:9:6: ')'
			{
				match(')');

			}

			state.type = _type;
			state.channel = _channel;
		} finally {
			// do for sure before leaving
		}
	}

	// $ANTLR end "CP"

	// $ANTLR start "DMTS"
	public final void mDMTS() throws RecognitionException {
		try {
			int _type = DMTS;
			int _channel = DEFAULT_TOKEN_CHANNEL;
			// xmts.g:10:6: ( 'dmts' )
			// xmts.g:10:8: 'dmts'
			{
				match("dmts");

			}

			state.type = _type;
			state.channel = _channel;
		} finally {
			// do for sure before leaving
		}
	}

	// $ANTLR end "DMTS"

	// $ANTLR start "DOT"
	public final void mDOT() throws RecognitionException {
		try {
			int _type = DOT;
			int _channel = DEFAULT_TOKEN_CHANNEL;
			// xmts.g:11:5: ( '.' )
			// xmts.g:11:7: '.'
			{
				match('.');

			}

			state.type = _type;
			state.channel = _channel;
		} finally {
			// do for sure before leaving
		}
	}

	// $ANTLR end "DOT"

	// $ANTLR start "DURATION"
	public final void mDURATION() throws RecognitionException {
		try {
			int _type = DURATION;
			int _channel = DEFAULT_TOKEN_CHANNEL;
			// xmts.g:12:10: ( 'duration' )
			// xmts.g:12:12: 'duration'
			{
				match("duration");

			}

			state.type = _type;
			state.channel = _channel;
		} finally {
			// do for sure before leaving
		}
	}

	// $ANTLR end "DURATION"

	// $ANTLR start "EQV"
	public final void mEQV() throws RecognitionException {
		try {
			int _type = EQV;
			int _channel = DEFAULT_TOKEN_CHANNEL;
			// xmts.g:13:5: ( '<->' )
			// xmts.g:13:7: '<->'
			{
				match("<->");

			}

			state.type = _type;
			state.channel = _channel;
		} finally {
			// do for sure before leaving
		}
	}

	// $ANTLR end "EQV"

	// $ANTLR start "FALSE"
	public final void mFALSE() throws RecognitionException {
		try {
			int _type = FALSE;
			int _channel = DEFAULT_TOKEN_CHANNEL;
			// xmts.g:14:7: ( 'false' )
			// xmts.g:14:9: 'false'
			{
				match("false");

			}

			state.type = _type;
			state.channel = _channel;
		} finally {
			// do for sure before leaving
		}
	}

	// $ANTLR end "FALSE"

	// $ANTLR start "IMP"
	public final void mIMP() throws RecognitionException {
		try {
			int _type = IMP;
			int _channel = DEFAULT_TOKEN_CHANNEL;
			// xmts.g:15:5: ( '->' )
			// xmts.g:15:7: '->'
			{
				match("->");

			}

			state.type = _type;
			state.channel = _channel;
		} finally {
			// do for sure before leaving
		}
	}

	// $ANTLR end "IMP"

	// $ANTLR start "INITIAL"
	public final void mINITIAL() throws RecognitionException {
		try {
			int _type = INITIAL;
			int _channel = DEFAULT_TOKEN_CHANNEL;
			// xmts.g:16:9: ( 'initial_state' )
			// xmts.g:16:11: 'initial_state'
			{
				match("initial_state");

			}

			state.type = _type;
			state.channel = _channel;
		} finally {
			// do for sure before leaving
		}
	}

	// $ANTLR end "INITIAL"

	// $ANTLR start "INVESTMENT"
	public final void mINVESTMENT() throws RecognitionException {
		try {
			int _type = INVESTMENT;
			int _channel = DEFAULT_TOKEN_CHANNEL;
			// xmts.g:17:12: ( 'investment_cost' )
			// xmts.g:17:14: 'investment_cost'
			{
				match("investment_cost");

			}

			state.type = _type;
			state.channel = _channel;
		} finally {
			// do for sure before leaving
		}
	}

	// $ANTLR end "INVESTMENT"

	// $ANTLR start "LABEL"
	public final void mLABEL() throws RecognitionException {
		try {
			int _type = LABEL;
			int _channel = DEFAULT_TOKEN_CHANNEL;
			// xmts.g:18:7: ( 'label' )
			// xmts.g:18:9: 'label'
			{
				match("label");

			}

			state.type = _type;
			state.channel = _channel;
		} finally {
			// do for sure before leaving
		}
	}

	// $ANTLR end "LABEL"

	// $ANTLR start "MTS"
	public final void mMTS() throws RecognitionException {
		try {
			int _type = MTS;
			int _channel = DEFAULT_TOKEN_CHANNEL;
			// xmts.g:19:5: ( 'mts' )
			// xmts.g:19:7: 'mts'
			{
				match("mts");

			}

			state.type = _type;
			state.channel = _channel;
		} finally {
			// do for sure before leaving
		}
	}

	// $ANTLR end "MTS"

	// $ANTLR start "MTSD"
	public final void mMTSD() throws RecognitionException {
		try {
			int _type = MTSD;
			int _channel = DEFAULT_TOKEN_CHANNEL;
			// xmts.g:20:6: ( 'mtsd' )
			// xmts.g:20:8: 'mtsd'
			{
				match("mtsd");

			}

			state.type = _type;
			state.channel = _channel;
		} finally {
			// do for sure before leaving
		}
	}

	// $ANTLR end "MTSD"

	// $ANTLR start "MTSD_DPS"
	public final void mMTSD_DPS() throws RecognitionException {
		try {
			int _type = MTSD_DPS;
			int _channel = DEFAULT_TOKEN_CHANNEL;
			// xmts.g:21:10: ( 'mtsd+dps' )
			// xmts.g:21:12: 'mtsd+dps'
			{
				match("mtsd+dps");

			}

			state.type = _type;
			state.channel = _channel;
		} finally {
			// do for sure before leaving
		}
	}

	// $ANTLR end "MTSD_DPS"

	// $ANTLR start "NOT"
	public final void mNOT() throws RecognitionException {
		try {
			int _type = NOT;
			int _channel = DEFAULT_TOKEN_CHANNEL;
			// xmts.g:22:5: ( '!' )
			// xmts.g:22:7: '!'
			{
				match('!');

			}

			state.type = _type;
			state.channel = _channel;
		} finally {
			// do for sure before leaving
		}
	}

	// $ANTLR end "NOT"

	// $ANTLR start "OB"
	public final void mOB() throws RecognitionException {
		try {
			int _type = OB;
			int _channel = DEFAULT_TOKEN_CHANNEL;
			// xmts.g:23:4: ( '[' )
			// xmts.g:23:6: '['
			{
				match('[');

			}

			state.type = _type;
			state.channel = _channel;
		} finally {
			// do for sure before leaving
		}
	}

	// $ANTLR end "OB"

	// $ANTLR start "OBLIGATION"
	public final void mOBLIGATION() throws RecognitionException {
		try {
			int _type = OBLIGATION;
			int _channel = DEFAULT_TOKEN_CHANNEL;
			// xmts.g:24:12: ( 'obligation' )
			// xmts.g:24:14: 'obligation'
			{
				match("obligation");

			}

			state.type = _type;
			state.channel = _channel;
		} finally {
			// do for sure before leaving
		}
	}

	// $ANTLR end "OBLIGATION"

	// $ANTLR start "OP"
	public final void mOP() throws RecognitionException {
		try {
			int _type = OP;
			int _channel = DEFAULT_TOKEN_CHANNEL;
			// xmts.g:25:4: ( '(' )
			// xmts.g:25:6: '('
			{
				match('(');

			}

			state.type = _type;
			state.channel = _channel;
		} finally {
			// do for sure before leaving
		}
	}

	// $ANTLR end "OP"

	// $ANTLR start "OR"
	public final void mOR() throws RecognitionException {
		try {
			int _type = OR;
			int _channel = DEFAULT_TOKEN_CHANNEL;
			// xmts.g:26:4: ( '|' )
			// xmts.g:26:6: '|'
			{
				match('|');

			}

			state.type = _type;
			state.channel = _channel;
		} finally {
			// do for sure before leaving
		}
	}

	// $ANTLR end "OR"

	// $ANTLR start "PARAMETER"
	public final void mPARAMETER() throws RecognitionException {
		try {
			int _type = PARAMETER;
			int _channel = DEFAULT_TOKEN_CHANNEL;
			// xmts.g:27:11: ( 'parameter' )
			// xmts.g:27:13: 'parameter'
			{
				match("parameter");

			}

			state.type = _type;
			state.channel = _channel;
		} finally {
			// do for sure before leaving
		}
	}

	// $ANTLR end "PARAMETER"

	// $ANTLR start "PMTS"
	public final void mPMTS() throws RecognitionException {
		try {
			int _type = PMTS;
			int _channel = DEFAULT_TOKEN_CHANNEL;
			// xmts.g:28:6: ( 'pmts' )
			// xmts.g:28:8: 'pmts'
			{
				match("pmts");

			}

			state.type = _type;
			state.channel = _channel;
		} finally {
			// do for sure before leaving
		}
	}

	// $ANTLR end "PMTS"

	// $ANTLR start "POSITION"
	public final void mPOSITION() throws RecognitionException {
		try {
			int _type = POSITION;
			int _channel = DEFAULT_TOKEN_CHANNEL;
			// xmts.g:29:10: ( 'position' )
			// xmts.g:29:12: 'position'
			{
				match("position");

			}

			state.type = _type;
			state.channel = _channel;
		} finally {
			// do for sure before leaving
		}
	}

	// $ANTLR end "POSITION"

	// $ANTLR start "REQUIREMENT"
	public final void mREQUIREMENT() throws RecognitionException {
		try {
			int _type = REQUIREMENT;
			int _channel = DEFAULT_TOKEN_CHANNEL;
			// xmts.g:30:13: ( 'requirement' )
			// xmts.g:30:15: 'requirement'
			{
				match("requirement");

			}

			state.type = _type;
			state.channel = _channel;
		} finally {
			// do for sure before leaving
		}
	}

	// $ANTLR end "REQUIREMENT"

	// $ANTLR start "STATE"
	public final void mSTATE() throws RecognitionException {
		try {
			int _type = STATE;
			int _channel = DEFAULT_TOKEN_CHANNEL;
			// xmts.g:31:7: ( 'state' )
			// xmts.g:31:9: 'state'
			{
				match("state");

			}

			state.type = _type;
			state.channel = _channel;
		} finally {
			// do for sure before leaving
		}
	}

	// $ANTLR end "STATE"

	// $ANTLR start "TRUE"
	public final void mTRUE() throws RecognitionException {
		try {
			int _type = TRUE;
			int _channel = DEFAULT_TOKEN_CHANNEL;
			// xmts.g:32:6: ( 'true' )
			// xmts.g:32:8: 'true'
			{
				match("true");

			}

			state.type = _type;
			state.channel = _channel;
		} finally {
			// do for sure before leaving
		}
	}

	// $ANTLR end "TRUE"

	// $ANTLR start "ID"
	public final void mID() throws RecognitionException {
		try {
			int _type = ID;
			int _channel = DEFAULT_TOKEN_CHANNEL;
			// xmts.g:87:13: ( ( 'a' .. 'z' | 'A' .. 'Z' ) ( 'a' .. 'z' | 'A' ..
			// 'Z' | '0' .. '9' | '_' )* )
			// xmts.g:87:15: ( 'a' .. 'z' | 'A' .. 'Z' ) ( 'a' .. 'z' | 'A' ..
			// 'Z' | '0' .. '9' | '_' )*
			{
				if ((input.LA(1) >= 'A' && input.LA(1) <= 'Z') || (input.LA(1) >= 'a' && input.LA(1) <= 'z')) {
					input.consume();
				} else {
					MismatchedSetException mse = new MismatchedSetException(null, input);
					recover(mse);
					throw mse;
				}

				// xmts.g:87:34: ( 'a' .. 'z' | 'A' .. 'Z' | '0' .. '9' | '_' )*
				loop1: do {
					int alt1 = 2;
					int LA1_0 = input.LA(1);

					if (((LA1_0 >= '0' && LA1_0 <= '9') || (LA1_0 >= 'A' && LA1_0 <= 'Z') || LA1_0 == '_' || (LA1_0 >= 'a' && LA1_0 <= 'z'))) {
						alt1 = 1;
					}

					switch (alt1) {
					case 1:
					// xmts.g:
					{
						if ((input.LA(1) >= '0' && input.LA(1) <= '9') || (input.LA(1) >= 'A' && input.LA(1) <= 'Z')
								|| input.LA(1) == '_' || (input.LA(1) >= 'a' && input.LA(1) <= 'z')) {
							input.consume();
						} else {
							MismatchedSetException mse = new MismatchedSetException(null, input);
							recover(mse);
							throw mse;
						}

					}
						break;

					default:
						break loop1;
					}
				} while (true);

			}

			state.type = _type;
			state.channel = _channel;
		} finally {
			// do for sure before leaving
		}
	}

	// $ANTLR end "ID"

	// $ANTLR start "NUMBER"
	public final void mNUMBER() throws RecognitionException {
		try {
			int _type = NUMBER;
			int _channel = DEFAULT_TOKEN_CHANNEL;
			// xmts.g:88:13: ( '0' | ( '1' .. '9' ) ( '0' .. '9' )* )
			int alt3 = 2;
			int LA3_0 = input.LA(1);

			if ((LA3_0 == '0')) {
				alt3 = 1;
			} else if (((LA3_0 >= '1' && LA3_0 <= '9'))) {
				alt3 = 2;
			} else {
				NoViableAltException nvae = new NoViableAltException("", 3, 0, input);

				throw nvae;

			}
			switch (alt3) {
			case 1:
			// xmts.g:88:15: '0'
			{
				match('0');

			}
				break;
			case 2:
			// xmts.g:88:21: ( '1' .. '9' ) ( '0' .. '9' )*
			{
				if ((input.LA(1) >= '1' && input.LA(1) <= '9')) {
					input.consume();
				} else {
					MismatchedSetException mse = new MismatchedSetException(null, input);
					recover(mse);
					throw mse;
				}

				// xmts.g:88:31: ( '0' .. '9' )*
				loop2: do {
					int alt2 = 2;
					int LA2_0 = input.LA(1);

					if (((LA2_0 >= '0' && LA2_0 <= '9'))) {
						alt2 = 1;
					}

					switch (alt2) {
					case 1:
					// xmts.g:
					{
						if ((input.LA(1) >= '0' && input.LA(1) <= '9')) {
							input.consume();
						} else {
							MismatchedSetException mse = new MismatchedSetException(null, input);
							recover(mse);
							throw mse;
						}

					}
						break;

					default:
						break loop2;
					}
				} while (true);

			}
				break;

			}
			state.type = _type;
			state.channel = _channel;
		} finally {
			// do for sure before leaving
		}
	}

	// $ANTLR end "NUMBER"

	// $ANTLR start "SIGNED_NUM"
	public final void mSIGNED_NUM() throws RecognitionException {
		try {
			int _type = SIGNED_NUM;
			int _channel = DEFAULT_TOKEN_CHANNEL;
			// xmts.g:89:13: ( ( '+' | '-' )? NUMBER )
			// xmts.g:89:15: ( '+' | '-' )? NUMBER
			{
				// xmts.g:89:15: ( '+' | '-' )?
				int alt4 = 2;
				int LA4_0 = input.LA(1);

				if ((LA4_0 == '+' || LA4_0 == '-')) {
					alt4 = 1;
				}
				switch (alt4) {
				case 1:
				// xmts.g:
				{
					if (input.LA(1) == '+' || input.LA(1) == '-') {
						input.consume();
					} else {
						MismatchedSetException mse = new MismatchedSetException(null, input);
						recover(mse);
						throw mse;
					}

				}
					break;

				}

				mNUMBER();

			}

			state.type = _type;
			state.channel = _channel;
		} finally {
			// do for sure before leaving
		}
	}

	// $ANTLR end "SIGNED_NUM"

	// $ANTLR start "STRING"
	public final void mSTRING() throws RecognitionException {
		try {
			int _type = STRING;
			int _channel = DEFAULT_TOKEN_CHANNEL;
			// xmts.g:90:13: ( '\"' ( options {greedy=false; } : . )* '\"' )
			// xmts.g:90:15: '\"' ( options {greedy=false; } : . )* '\"'
			{
				match('\"');

				// xmts.g:90:19: ( options {greedy=false; } : . )*
				loop5: do {
					int alt5 = 2;
					int LA5_0 = input.LA(1);

					if ((LA5_0 == '\"')) {
						alt5 = 2;
					} else if (((LA5_0 >= '\u0000' && LA5_0 <= '!') || (LA5_0 >= '#' && LA5_0 <= '\uFFFF'))) {
						alt5 = 1;
					}

					switch (alt5) {
					case 1:
					// xmts.g:90:45: .
					{
						matchAny();

					}
						break;

					default:
						break loop5;
					}
				} while (true);

				match('\"');

			}

			state.type = _type;
			state.channel = _channel;
		} finally {
			// do for sure before leaving
		}
	}

	// $ANTLR end "STRING"

	// $ANTLR start "WS"
	public final void mWS() throws RecognitionException {
		try {
			int _type = WS;
			int _channel = DEFAULT_TOKEN_CHANNEL;
			// xmts.g:91:13: ( ( ' ' | '\\n' | '\\t' | '\\r' )+ )
			// xmts.g:91:15: ( ' ' | '\\n' | '\\t' | '\\r' )+
			{
				// xmts.g:91:15: ( ' ' | '\\n' | '\\t' | '\\r' )+
				int cnt6 = 0;
				loop6: do {
					int alt6 = 2;
					int LA6_0 = input.LA(1);

					if (((LA6_0 >= '\t' && LA6_0 <= '\n') || LA6_0 == '\r' || LA6_0 == ' ')) {
						alt6 = 1;
					}

					switch (alt6) {
					case 1:
					// xmts.g:
					{
						if ((input.LA(1) >= '\t' && input.LA(1) <= '\n') || input.LA(1) == '\r' || input.LA(1) == ' ') {
							input.consume();
						} else {
							MismatchedSetException mse = new MismatchedSetException(null, input);
							recover(mse);
							throw mse;
						}

					}
						break;

					default:
						if (cnt6 >= 1) {
							break loop6;
						}
						EarlyExitException eee = new EarlyExitException(6, input);
						throw eee;
					}
					cnt6++;
				} while (true);

			}

			state.type = _type;
			state.channel = _channel;
		} finally {
			// do for sure before leaving
		}
	}

	// $ANTLR end "WS"

	public void mTokens() throws RecognitionException {
		// xmts.g:1:8: ( ACTION | ALL | AND | BMTS | CB | COMMA | COST | CP |
		// DMTS | DOT | DURATION | EQV | FALSE | IMP | INITIAL | INVESTMENT |
		// LABEL | MTS | MTSD | MTSD_DPS | NOT | OB | OBLIGATION | OP | OR |
		// PARAMETER | PMTS | POSITION | REQUIREMENT | STATE | TRUE | ID |
		// NUMBER | SIGNED_NUM | STRING | WS )
		int alt7 = 36;
		alt7 = dfa7.predict(input);
		switch (alt7) {
		case 1:
		// xmts.g:1:10: ACTION
		{
			mACTION();

		}
			break;
		case 2:
		// xmts.g:1:17: ALL
		{
			mALL();

		}
			break;
		case 3:
		// xmts.g:1:21: AND
		{
			mAND();

		}
			break;
		case 4:
		// xmts.g:1:25: BMTS
		{
			mBMTS();

		}
			break;
		case 5:
		// xmts.g:1:30: CB
		{
			mCB();

		}
			break;
		case 6:
		// xmts.g:1:33: COMMA
		{
			mCOMMA();

		}
			break;
		case 7:
		// xmts.g:1:39: COST
		{
			mCOST();

		}
			break;
		case 8:
		// xmts.g:1:44: CP
		{
			mCP();

		}
			break;
		case 9:
		// xmts.g:1:47: DMTS
		{
			mDMTS();

		}
			break;
		case 10:
		// xmts.g:1:52: DOT
		{
			mDOT();

		}
			break;
		case 11:
		// xmts.g:1:56: DURATION
		{
			mDURATION();

		}
			break;
		case 12:
		// xmts.g:1:65: EQV
		{
			mEQV();

		}
			break;
		case 13:
		// xmts.g:1:69: FALSE
		{
			mFALSE();

		}
			break;
		case 14:
		// xmts.g:1:75: IMP
		{
			mIMP();

		}
			break;
		case 15:
		// xmts.g:1:79: INITIAL
		{
			mINITIAL();

		}
			break;
		case 16:
		// xmts.g:1:87: INVESTMENT
		{
			mINVESTMENT();

		}
			break;
		case 17:
		// xmts.g:1:98: LABEL
		{
			mLABEL();

		}
			break;
		case 18:
		// xmts.g:1:104: MTS
		{
			mMTS();

		}
			break;
		case 19:
		// xmts.g:1:108: MTSD
		{
			mMTSD();

		}
			break;
		case 20:
		// xmts.g:1:113: MTSD_DPS
		{
			mMTSD_DPS();

		}
			break;
		case 21:
		// xmts.g:1:122: NOT
		{
			mNOT();

		}
			break;
		case 22:
		// xmts.g:1:126: OB
		{
			mOB();

		}
			break;
		case 23:
		// xmts.g:1:129: OBLIGATION
		{
			mOBLIGATION();

		}
			break;
		case 24:
		// xmts.g:1:140: OP
		{
			mOP();

		}
			break;
		case 25:
		// xmts.g:1:143: OR
		{
			mOR();

		}
			break;
		case 26:
		// xmts.g:1:146: PARAMETER
		{
			mPARAMETER();

		}
			break;
		case 27:
		// xmts.g:1:156: PMTS
		{
			mPMTS();

		}
			break;
		case 28:
		// xmts.g:1:161: POSITION
		{
			mPOSITION();

		}
			break;
		case 29:
		// xmts.g:1:170: REQUIREMENT
		{
			mREQUIREMENT();

		}
			break;
		case 30:
		// xmts.g:1:182: STATE
		{
			mSTATE();

		}
			break;
		case 31:
		// xmts.g:1:188: TRUE
		{
			mTRUE();

		}
			break;
		case 32:
		// xmts.g:1:193: ID
		{
			mID();

		}
			break;
		case 33:
		// xmts.g:1:196: NUMBER
		{
			mNUMBER();

		}
			break;
		case 34:
		// xmts.g:1:203: SIGNED_NUM
		{
			mSIGNED_NUM();

		}
			break;
		case 35:
		// xmts.g:1:214: STRING
		{
			mSTRING();

		}
			break;
		case 36:
		// xmts.g:1:221: WS
		{
			mWS();

		}
			break;

		}

	}

	protected DFA7 dfa7 = new DFA7(this);
	static final String DFA7_eotS = "\1\uffff\1\30\1\uffff\1\30\2\uffff\1\30\1\uffff\1\30\2\uffff\1\30"
			+ "\1\uffff\3\30\2\uffff\1\30\2\uffff\3\30\2\uffff\1\60\3\uffff\10"
			+ "\30\1\uffff\11\30\1\uffff\1\60\1\30\1\105\11\30\1\120\7\30\1\uffff"
			+ "\1\130\2\30\1\133\5\30\1\142\1\uffff\2\30\1\145\2\30\1\150\1\30"
			+ "\1\uffff\2\30\1\uffff\1\30\1\155\2\30\1\160\2\uffff\2\30\1\uffff"
			+ "\1\30\1\164\1\uffff\1\165\3\30\1\uffff\2\30\1\uffff\3\30\2\uffff"
			+ "\12\30\1\u0088\4\30\1\u008d\2\30\1\uffff\3\30\1\u0093\1\uffff\4"
			+ "\30\1\u0098\1\uffff\1\30\1\u009a\2\30\1\uffff\1\u009d\1\uffff\2"
			+ "\30\1\uffff\1\u00a0\1\30\1\uffff\1\30\1\u00a3\1\uffff";
	static final String DFA7_eofS = "\u00a4\uffff";
	static final String DFA7_minS = "\1\11\1\143\1\uffff\1\155\2\uffff\1\145\1\uffff\1\155\2\uffff\1"
			+ "\141\1\60\1\156\1\141\1\164\2\uffff\1\142\2\uffff\1\141\1\164\1"
			+ "\162\2\uffff\1\60\3\uffff\1\164\1\154\1\164\1\156\1\161\1\164\1"
			+ "\162\1\154\1\uffff\1\151\1\142\1\163\1\154\1\162\1\164\1\163\1\141"
			+ "\1\165\1\uffff\1\60\1\151\1\60\1\163\1\156\1\165\1\163\1\141\1\163"
			+ "\1\164\2\145\1\60\1\151\1\141\1\163\1\151\1\164\1\145\1\157\1\uffff"
			+ "\1\60\2\151\1\60\1\164\1\145\1\151\1\163\1\154\1\53\1\uffff\1\147"
			+ "\1\155\1\60\1\164\1\145\1\60\1\156\1\uffff\1\156\1\162\1\uffff\1"
			+ "\151\1\60\1\141\1\164\1\60\2\uffff\1\141\1\145\1\uffff\1\151\1\60"
			+ "\1\uffff\1\60\1\147\1\145\1\157\1\uffff\1\154\1\155\1\uffff\2\164"
			+ "\1\157\2\uffff\1\137\1\155\1\156\1\137\1\145\1\151\1\145\1\156\1"
			+ "\143\1\145\1\60\1\163\1\156\1\157\1\162\1\60\1\157\1\156\1\uffff"
			+ "\2\164\1\156\1\60\1\uffff\1\163\1\164\1\141\1\137\1\60\1\uffff\1"
			+ "\164\1\60\1\164\1\143\1\uffff\1\60\1\uffff\1\145\1\157\1\uffff\1"
			+ "\60\1\163\1\uffff\1\164\1\60\1\uffff";
	static final String DFA7_maxS = "\1\174\1\154\1\uffff\1\155\2\uffff\1\165\1\uffff\1\165\2\uffff\1"
			+ "\141\1\76\1\156\1\141\1\164\2\uffff\1\142\2\uffff\1\157\1\164\1"
			+ "\162\2\uffff\1\71\3\uffff\1\164\1\154\1\164\1\156\1\161\1\164\1"
			+ "\162\1\154\1\uffff\1\166\1\142\1\163\1\154\1\162\1\164\1\163\1\141"
			+ "\1\165\1\uffff\1\71\1\151\1\172\1\163\1\156\1\165\1\163\1\141\1"
			+ "\163\1\164\2\145\1\172\1\151\1\141\1\163\1\151\1\164\1\145\1\157"
			+ "\1\uffff\1\172\2\151\1\172\1\164\1\145\1\151\1\163\1\154\1\172\1"
			+ "\uffff\1\147\1\155\1\172\1\164\1\145\1\172\1\156\1\uffff\1\156\1"
			+ "\162\1\uffff\1\151\1\172\1\141\1\164\1\172\2\uffff\1\141\1\145\1"
			+ "\uffff\1\151\1\172\1\uffff\1\172\1\147\1\145\1\157\1\uffff\1\154"
			+ "\1\155\1\uffff\2\164\1\157\2\uffff\1\137\1\155\1\156\1\137\1\145"
			+ "\1\151\1\145\1\156\1\143\1\145\1\172\1\163\1\156\1\157\1\162\1\172"
			+ "\1\157\1\156\1\uffff\2\164\1\156\1\172\1\uffff\1\163\1\164\1\141"
			+ "\1\137\1\172\1\uffff\1\164\1\172\1\164\1\143\1\uffff\1\172\1\uffff"
			+ "\1\145\1\157\1\uffff\1\172\1\163\1\uffff\1\164\1\172\1\uffff";
	static final String DFA7_acceptS = "\2\uffff\1\3\1\uffff\1\5\1\6\1\uffff\1\10\1\uffff\1\12\1\14\5\uffff"
			+ "\1\25\1\26\1\uffff\1\30\1\31\3\uffff\1\40\1\41\1\uffff\1\42\1\43"
			+ "\1\44\10\uffff\1\16\11\uffff\1\41\24\uffff\1\2\12\uffff\1\22\7\uffff"
			+ "\1\4\2\uffff\1\11\5\uffff\1\24\1\23\2\uffff\1\33\2\uffff\1\37\4"
			+ "\uffff\1\15\2\uffff\1\21\3\uffff\1\36\1\1\22\uffff\1\13\4\uffff"
			+ "\1\34\5\uffff\1\32\4\uffff\1\27\1\uffff\1\35\2\uffff\1\7\2\uffff" + "\1\17\2\uffff\1\20";
	static final String DFA7_specialS = "\u00a4\uffff}>";
	static final String[] DFA7_transitionS = {
			"\2\35\2\uffff\1\35\22\uffff\1\35\1\20\1\34\3\uffff\1\2\1\uffff"
					+ "\1\23\1\7\1\uffff\1\33\1\5\1\14\1\11\1\uffff\1\31\11\32\2\uffff"
					+ "\1\12\4\uffff\32\30\1\21\1\uffff\1\4\3\uffff\1\1\1\3\1\30\1"
					+ "\10\1\30\1\13\2\30\1\15\2\30\1\16\1\17\1\30\1\22\1\25\1\30\1" + "\6\1\26\1\27\6\30\1\uffff\1\24",
			"\1\36\10\uffff\1\37", "", "\1\40", "", "", "\1\42\17\uffff\1\41", "", "\1\43\7\uffff\1\44", "", "",
			"\1\45", "\12\33\4\uffff\1\46", "\1\47", "\1\50", "\1\51", "", "", "\1\52", "", "",
			"\1\53\13\uffff\1\54\1\uffff\1\55", "\1\56", "\1\57", "", "", "\12\61", "", "", "", "\1\62", "\1\63",
			"\1\64", "\1\65", "\1\66", "\1\67", "\1\70", "\1\71", "", "\1\72\14\uffff\1\73", "\1\74", "\1\75", "\1\76",
			"\1\77", "\1\100", "\1\101", "\1\102", "\1\103", "", "\12\61", "\1\104",
			"\12\30\7\uffff\32\30\4\uffff\1\30\1\uffff\32\30", "\1\106", "\1\107", "\1\110", "\1\111", "\1\112",
			"\1\113", "\1\114", "\1\115", "\1\116", "\12\30\7\uffff\32\30\4\uffff\1\30\1\uffff\3\30\1\117\26\30",
			"\1\121", "\1\122", "\1\123", "\1\124", "\1\125", "\1\126", "\1\127", "",
			"\12\30\7\uffff\32\30\4\uffff\1\30\1\uffff\32\30", "\1\131", "\1\132",
			"\12\30\7\uffff\32\30\4\uffff\1\30\1\uffff\32\30", "\1\134", "\1\135", "\1\136", "\1\137", "\1\140",
			"\1\141\4\uffff\12\30\7\uffff\32\30\4\uffff\1\30\1\uffff\32" + "\30", "", "\1\143", "\1\144",
			"\12\30\7\uffff\32\30\4\uffff\1\30\1\uffff\32\30", "\1\146", "\1\147",
			"\12\30\7\uffff\32\30\4\uffff\1\30\1\uffff\32\30", "\1\151", "", "\1\152", "\1\153", "", "\1\154",
			"\12\30\7\uffff\32\30\4\uffff\1\30\1\uffff\32\30", "\1\156", "\1\157",
			"\12\30\7\uffff\32\30\4\uffff\1\30\1\uffff\32\30", "", "", "\1\161", "\1\162", "", "\1\163",
			"\12\30\7\uffff\32\30\4\uffff\1\30\1\uffff\32\30", "", "\12\30\7\uffff\32\30\4\uffff\1\30\1\uffff\32\30",
			"\1\166", "\1\167", "\1\170", "", "\1\171", "\1\172", "", "\1\173", "\1\174", "\1\175", "", "", "\1\176",
			"\1\177", "\1\u0080", "\1\u0081", "\1\u0082", "\1\u0083", "\1\u0084", "\1\u0085", "\1\u0086", "\1\u0087",
			"\12\30\7\uffff\32\30\4\uffff\1\30\1\uffff\32\30", "\1\u0089", "\1\u008a", "\1\u008b", "\1\u008c",
			"\12\30\7\uffff\32\30\4\uffff\1\30\1\uffff\32\30", "\1\u008e", "\1\u008f", "", "\1\u0090", "\1\u0091",
			"\1\u0092", "\12\30\7\uffff\32\30\4\uffff\1\30\1\uffff\32\30", "", "\1\u0094", "\1\u0095", "\1\u0096",
			"\1\u0097", "\12\30\7\uffff\32\30\4\uffff\1\30\1\uffff\32\30", "", "\1\u0099",
			"\12\30\7\uffff\32\30\4\uffff\1\30\1\uffff\32\30", "\1\u009b", "\1\u009c", "",
			"\12\30\7\uffff\32\30\4\uffff\1\30\1\uffff\32\30", "", "\1\u009e", "\1\u009f", "",
			"\12\30\7\uffff\32\30\4\uffff\1\30\1\uffff\32\30", "\1\u00a1", "", "\1\u00a2",
			"\12\30\7\uffff\32\30\4\uffff\1\30\1\uffff\32\30", "" };

	static final short[] DFA7_eot = DFA.unpackEncodedString(DFA7_eotS);
	static final short[] DFA7_eof = DFA.unpackEncodedString(DFA7_eofS);
	static final char[] DFA7_min = DFA.unpackEncodedStringToUnsignedChars(DFA7_minS);
	static final char[] DFA7_max = DFA.unpackEncodedStringToUnsignedChars(DFA7_maxS);
	static final short[] DFA7_accept = DFA.unpackEncodedString(DFA7_acceptS);
	static final short[] DFA7_special = DFA.unpackEncodedString(DFA7_specialS);
	static final short[][] DFA7_transition;

	static {
		int numStates = DFA7_transitionS.length;
		DFA7_transition = new short[numStates][];
		for (int i = 0; i < numStates; i++) {
			DFA7_transition[i] = DFA.unpackEncodedString(DFA7_transitionS[i]);
		}
	}

	class DFA7 extends DFA {

		public DFA7(BaseRecognizer recognizer) {
			this.recognizer = recognizer;
			this.decisionNumber = 7;
			this.eot = DFA7_eot;
			this.eof = DFA7_eof;
			this.min = DFA7_min;
			this.max = DFA7_max;
			this.accept = DFA7_accept;
			this.special = DFA7_special;
			this.transition = DFA7_transition;
		}

		public String getDescription() {
			return "1:1: Tokens : ( ACTION | ALL | AND | BMTS | CB | COMMA | COST | CP | DMTS | DOT | DURATION | EQV | FALSE | IMP | INITIAL | INVESTMENT | LABEL | MTS | MTSD | MTSD_DPS | NOT | OB | OBLIGATION | OP | OR | PARAMETER | PMTS | POSITION | REQUIREMENT | STATE | TRUE | ID | NUMBER | SIGNED_NUM | STRING | WS );";
		}
	}

}